{{ define "main" }}
<main id="main">
    <div id="heading" class="heading">
        <h1 id="title">{{ .Title }}</h1>
    </div>
    <div class="content">
        <div class="layouting-row">
            <div class="column">{{ .Content }}</div>
            <div class="column">
                <div class="event-logo">
                    <figure>
                        {{ partial "snippets/responsive-image.html" (dict "src" .Params.image "alt" "Bild der Veranstaltung" "Page" .) }}
                    </figure>
                </div>
                <div class="button-area">
                    {{ $eventName := .Params.eventName -}}
                    {{ if (index $.Site.Data.events $eventName "enabled") }}
                    {{ range $button := .Params.registrationLinks }}
                    <a href="{{ $button.url }}">
                        <div class="button">{{ $button.text | default "Zur Anmeldung" }}</div>
                    </a>
                    {{ end }}
                    {{ else }}
                    <div class="button disabled">{{ .Params.registrationLinkText | default "Aktuell keine Anmeldung möglich!" }}</div>
                    {{ end }}
                    {{ if .Params.feedback }}
                    <a href="/feedback">
                        <div class="button">Anonymes Feedback</div>
                    </a>
                    {{ end }}
                    {{ if .Params.donate }}
                    <a href="/kontakt">
                        <div class="button">Spenden</div>
                    {{ end }}
                    </a>
                </div>
            </div>
        </div>
    </div>
</main>
{{ end }}
